=== debian/changelog ===
gpac (0.5.0) stable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jean Le Feuvre <jeanlf@users.sourceforge.net>  Thu, 14 Aug 2008 10:14:13 +0200
