=== debian/control ===
Source: gpac
Section: graphics
Priority: optional
Maintainer: Jean Le Feuvre <jeanlf@users.sourceforge.net>
Bugs: mailto:jeanlf@users.sourceforge.net
Homepage: http://gpac.sourceforge.net
Standards-Version: 3.8.0
Build-Conflicts: libgpac-dev
Build-Depends: debhelper (>= 6), libc6, libc6-dev, libx11-dev (>= 1.3), zlib1g-dev (>= 1), xulrunner-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev, libopenjpeg-dev, libmad0-dev, libfaad-dev, libogg-dev, libvorbis-dev, libtheora-dev, liba52-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libxv-dev, x11proto-video-dev, libgl1-mesa-dev, x11proto-gl-dev, linux-sound-base (>= 1.0), libxvidcore-dev, libssl-dev (>= 0.9.8), libjack-dev (>= 0.118), libasound2-dev (>= 1.0), libpulse-dev (>= 0.9), libsdl-dev (>= 1.2), ccache

Package: gpac
Architecture: any
Depends: ${shlibs:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: libgpac-dev
Architecture: any
Section: libdevel
Depends: gpac
Replaces: gpac (<= 0.5.0)
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.
