=== debian/watch ===
version=3

http://sf.net/gpac/gpac-(.*).tar.gz
